Bug 952718 - Agent unable to complete initial inventory report due to db time out
Agent unable to complete initial inventory report due to db time out
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Performance (Show other bugs)
JON 3.1.2
x86_64 Linux
unspecified Severity high
: ER01
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 905654
Blocks: 1030066
  Show dependency treegraph
 
Reported: 2013-04-16 10:34 EDT by Viet Nguyen
Modified: 2014-01-02 15:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files (11.30 KB, text/rtf)
2013-04-16 10:41 EDT, Viet Nguyen
no flags Details

  None (edit)
Description Viet Nguyen 2013-04-16 10:34:12 EDT
Description of problem:
Server can't process inventory report with 5000 top-level resources (generated by perftest).  Seems like the server is trying to to process the huge report in a single batch.

Server and agent RAM: 16GB
Agent jvm: -Xms64M -Xmx2048M
Server jvm: -Xms1024M -Xmx1024M -XX:PermSize=256M -XX:MaxPermSize=256M

Version-Release number of selected component (if applicable):
3.1.2

How reproducible:
100%

Steps to Reproduce:
0.  Increase various postgres settings (timeout, shared mem etc)
1.  Install perftest plugin and start agent with  -Drhq.perftest.scenario=configurable-1 -Drhq.perftest.server-a-count=5000 -Drhq.perftest.service-a-count=0
Comment 1 Viet Nguyen 2013-04-16 10:41:09 EDT
Created attachment 736327 [details]
log files
Comment 2 Viet Nguyen 2013-04-16 10:49:17 EDT
Fixed in https://bugzilla.redhat.com/show_bug.cgi?id=906866
Comment 3 Mike Foley 2013-07-15 10:46:04 EDT
this was fixed as part of work by jay to break the data into smaller chunks.
Comment 4 Larry O'Leary 2013-07-15 11:09:50 EDT
For clarity, this issue was actually addressed in bug 905654. The fix was to break large inventory reports into smaller chunks when performing the transaction. This prevent the time out issue from occurring when dealing with large inventory reports.

Note You need to log in before you can comment on or make changes to this bug.